Tool: get_mcp_server
Retrieve the full metadata of a specific MCP server using its unique resource name. Use this to inspect the exact tools and schemas exposed by a known server.
The following sample demonstrate how to use curl to invoke the get_mcp_server MCP tool.
| Curl Request |
|---|
curl --location 'https://agentregistry.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_mcp_server", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Message for getting a McpServer
GetMcpServerRequest
| JSON representation |
|---|
{ "name": string } |
| Fields | |
|---|---|
name |
Required. Name of the resource |
Output Schema
Represents an MCP (Model Context Protocol) Server.
McpServer
| JSON representation |
|---|
{ "name": string, "mcpServerId": string, "displayName": string, "description": string, "interfaces": [ { object ( |
| Fields | |
|---|---|
name |
Identifier. The resource name of the MCP Server. Format: |
mcpServerId |
Output only. A stable, globally unique identifier for MCP Servers. |
displayName |
Output only. The display name of the MCP Server. |
description |
Output only. The description of the MCP Server. |
interfaces[] |
Output only. The connection details for the MCP Server. |
tools[] |
Output only. Tools provided by the MCP Server. |
createTime |
Output only. Create time. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
updateTime |
Output only. Update time. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
attributes |
Output only. Attributes of the MCP Server. Valid values:
An object containing a list of |
Interface
| JSON representation |
|---|
{
"url": string,
"protocolBinding": enum ( |
| Fields | |
|---|---|
url |
Required. The destination URL. |
protocolBinding |
Required. The protocol binding of the interface. |
Tool
| JSON representation |
|---|
{
"name": string,
"description": string,
"annotations": {
object ( |
| Fields | |
|---|---|
name |
Output only. Human-readable name of the tool. |
description |
Output only. Description of what the tool does. |
annotations |
Output only. Annotations associated with the tool. |
Annotations
| JSON representation |
|---|
{ "title": string, "destructiveHint": boolean, "idempotentHint": boolean, "openWorldHint": boolean, "readOnlyHint": boolean } |
| Fields | |
|---|---|
title |
Output only. A human-readable title for the tool. |
destructiveHint |
Output only. If true, the tool may perform destructive updates to its environment. If false, the tool performs only additive updates. NOTE: This property is meaningful only when |
idempotentHint |
Output only. If true, calling the tool repeatedly with the same arguments will have no additional effect on its environment. NOTE: This property is meaningful only when |
openWorldHint |
Output only. If true, this tool may interact with an "open world" of external entities. If false, the tool's domain of interaction is closed. For example, the world of a web search tool is open, whereas that of a memory tool is not. Default: true |
readOnlyHint |
Output only. If true, the tool does not modify its environment. Default: false |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
AttributesEntry
| JSON representation |
|---|
{ "key": string, "value": { object } } |
| Fields | |
|---|---|
key |
|
value |
|
Struct
| JSON representation |
|---|
{ "fields": { string: value, ... } } |
| Fields | |
|---|---|
fields |
Unordered map of dynamically typed values. An object containing a list of |
FieldsEntry
| JSON representation |
|---|
{ "key": string, "value": value } |
| Fields | |
|---|---|
key |
|
value |
|
Value
| JSON representation |
|---|
{ // Union field |
| Fields | |
|---|---|
Union field kind. The kind of value. kind can be only one of the following: |
|
nullValue |
Represents a JSON |
numberValue |
Represents a JSON number. Must not be |
stringValue |
Represents a JSON string. |
boolValue |
Represents a JSON boolean ( |
structValue |
Represents a JSON object. |
listValue |
Represents a JSON array. |
ListValue
| JSON representation |
|---|
{ "values": [ value ] } |
| Fields | |
|---|---|
values[] |
Repeated field of dynamically typed values. |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌